7个Linux桌面需要改善之处
======================================

在过去的15年内，Linux桌面从一个还算凑合的边缘化解决方案集合发展到了一个空前的创新和选择源。它的标准特点中有许多是要么不适用于Windows系统，要么就只适合作为一个专有的扩展。因此，使用Linux愈发变得不仅是一个原则问题，也是一种偏好。

然而，尽管Linux桌面不停在进步，但是仍然存在差距。一些正在丢失它们的特点，一些已经丢失了，还有一些如同天上掉的馅饼般的附加设备能轻易地实现在不考虑用户对于改变的容忍度的情况下来扩展桌面。

比如说，以下是7个有利于Linux桌面发展的改善建议：

### 7. 简单的Email加密技术

如今，每个Email阅读器从Alpine到Thunderbird再到Kmail，都包括了Email加密技术。然而，文件编制通常是不存在或者非常劣质。

但是，即使你理论上看懂了，但是实践起来还是很困难的。控件通常分散在整个配置菜单和选项卡中，需要为所有你需要和想要的设置进行一次彻底的搜索。如果你未能进行适当的加密，你就收不到反馈。

最新的一个简易加密进程是 [Enigmail][1] ，一个包含面向初学者设置向导的Thunderbird扩展。但是你一定要知道怎么用Enigmail，而且菜单新增了合成窗口并把加密设置项添加了进去，如果把它弄到其它的设置里势必会使每个用户都难以理解。

无论桌面怎么样，假设如果你想接收加密过的Email，你就要先知道密码。可如今，不断有媒体涉及安全和隐私方面就已经确定了这样的假设不再适用。

### 6. 虚拟工作空间缩略图

虚拟工作空间提供了更多不需要额外监听的桌面空间。然而，尽管它们很实用，但是虚拟工作空间的管理并没有在过去十年发生改变。在大多数桌面上，你能通过每个工作空间上的pager程序（一个提供很少指示除了它的名字和数字的简单矩形框）来控制它们 -- 但是，在Ubuntu的统一实例中，工作空间目前来说还是很常用的。

确实，GNOME和Cinnamon能提供出不错的视图，但是它们的实用性受限于它们需要显示屏大小的事实和会与主要的图形化桌面发生冲突的KDE内容书面列表。

一个比较不错的解决方案应该是鼠标悬停在足够大的缩略图上来获取正常的视图，这样就精确地查看每个工作空间上的东西了。

### 5. 一个可操作的菜单

现代桌面很久之前就已经舍弃搭配着子菜单的经典型菜单了。如今，一般的电脑都有太多的应用程序以至于不能适应这样的模式。

糟糕的是，没有什么主要的替代品能与经典型菜单一样方便。把菜单限制进一个单一的窗口，其效果是不理想的，因为你要么必须截掉子菜单要么就用鼠标不断地调整窗口。

但是全屏幕菜单的产品还要差，要在你工作之前改变屏幕It means changing screens before you even begin to work, and relying on a search field that is only useful if you already know what applications are available -- in which case you are almost better off launching from the command line.

坦白地说，我不知道拿什么来解决这个问题，OS X下的spinner racks吗？All I can say for certain is that all alternatives for a modern menu make a carefully constructed set of icons on the desktop seem a more reasonable alternative.

### 4. 一个专业的、实惠的视频编辑器

Over the years, Linux has slowly filled the gaps in productivity software. However, one category in which it is still lacking is in reasonably priced software for editing videos.

The problem is not that such free software is non-existent. After all, [Maya][2] is one of the industry standards for animation. The problem is that the software costs several thousand dollars.

At the opposite end of the spectrum are apps like Pitivi or Blender, whose functionality -- despite brave efforts by their developers -- remain basic. Progress happens, but far more slowly than anyone hopes for.

Although I have heard of indie directors using native Linux video editors, the reason I have heard of their efforts is usually because of their complaints. Others prefer to minimize the struggle and edit on other operating systems instead.

### 3. 一个文档处理器
	
At one extreme are users whose need for word processing is satisfied by Google Docs. At the other extreme are layout experts for whom Scribus is the only feasible app.

In-between are those like publishers and technical writers who produce long, text-oriented documents. This category of users is served by [Adobe FrameMaker][3] on Windows, and to some extent by LibreOffice Writer on Linux.

Unfortunately, these users are apparently not a priority in LibreOffice, Calligra Words, AbiWord, or any other office suite. Features that would provide for these users include:

- separate bibliographic databases for each file
- tables that are treated like styles in the same way that paragraphs and characters are
- page styles with persistent content other than headers or footers that would appear each time the style is used
- storable formats for cross-references, so that the structure doesn't need to be recreated manually each time that it is needed

Whether LibreOffice or another application provides these features is irrelevant comparing to whether they are available. Without them, the Linux desktop is an imperfect place for a large class of potential users.
2. Color-Coded Title Bars

Browser extensions have taught me how useful color coded tabs can be for workspaces. The titles of open tabs disappear when more than eight or nine or open, so the color is often the quickest visual guide to the relation between tabs.

The same system could be just as useful on the desktop. Better yet, the color coding might be preserved between sessions, allowing users to open all the apps needed for a specific task at the same time. So far, I know of no desktop with such a feature.

### 1. 图标栏

For years, Stardock Systems has been selling a Windows extension called [Fences][4], which lets icons be grouped. You can name each group and move the icons in it together. In addition, you can assign which fence different types of files are automatically added to, and hide and arrange fences as needed.

In other words, fences automate the sort of arrangements that users make on their desktop all the time. Yet aside from one or two minor functions they share with KDE's Folder Views, fences remain completely unknown on Linux desktops. Perhaps the reason is that designers are focused on mobile devices as the source of ideas, and fences are decidedly a feature of the traditional workstation desktop.

### 个性化列表

As I made this list, what struck me was how few of the improvements were general. Several of these improvement would appeal largely to specific audiences, and only one even implies the porting of a proprietary application. At least one is cosmetic rather than functional.

What this observation suggests is that, for the general user, Linux has very little left to add. As an all-purpose desktop, Linux arrive some years ago, and has been diversifying ever since, until today users can choose from over half a dozen major desktops.

None of that means, of course, that specialists wouldn't have other suggestions. In addition, changing needs can make improvements desirable that nobody once cared about. But it does mean that many items on a list of desirable improvements will be highly personal.

All of which raises the question: what other improvements do you think would benefit the desktop?

--------------------------------------------------------------------------------

via: http://www.datamation.com/open-source/7-improvements-the-linux-desktop-needs-1.html

译者：[ZTinoZ](https://github.com/ZTinoZ) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:https://addons.mozilla.org/en-US/thunderbird/addon/enigmail/
[2]:http://en.wikipedia.org/wiki/Autodesk_Maya
[3]:http://www.adobe.com/products/framemaker.html
[4]:http://www.stardock.com/products/fences/
